Vulnerability CVE-2005-3519


Published: 2005-11-06   Modified: 2012-02-12

Description:
Multiple PHP file inclusion vulnerabilities in MySource 2.14.0 allow remote attackers to execute arbitrary PHP code and include arbitrary local files via the (1) INCLUDE_PATH and (2) SQUIZLIB_PATH parameters in new_upgrade_functions.php, (3) the INCLUDE_PATH parameter in init_mysource.php, and the PEAR_PATH parameter in (4) Socket.php, (5) Request.php, (6) Mail.php, (7) Date.php, (8) Span.php, (9) mimeDecode.php, and (10) mime.php.

See advisories in our WLB2 database:
Topic
Author
Date
High
MySource Cross-Site Scripting and File InclusionVulnerabilities
Secunia Research
19.10.2005

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.5/10
6.4/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
Mysource -> Mysource 

 References:
http://xforce.iss.net/xforce/xfdb/22772
http://www.securityfocus.com/bid/15133/discuss
http://securitytracker.com/id?1015075
http://secunia.com/advisories/16946/
http://marc.theaimsgroup.com/?l=bugtraq&m=112966933202769&w=2
http://www.vupen.com/english/advisories/2005/2132
http://www.osvdb.org/20043
http://www.osvdb.org/20042
http://www.osvdb.org/20041
http://www.osvdb.org/20040
http://www.osvdb.org/20039
http://www.osvdb.org/20038
http://www.osvdb.org/20037
http://www.osvdb.org/20036
http://www.osvdb.org/20035
http://securityreason.com/securityalert/92

Copyright 2020, cxsecurity.com

 

Back to Top